Bug 176274 - [maintainer update] update cad/openvsp to 2.2.2
Summary: [maintainer update] update cad/openvsp to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-19 22:20 UTC by Fernando Apesteguía
Modified: 2013-08-23 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (899 bytes, patch)
2013-02-19 22:20 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-02-19 22:20:00 UTC
Update cad/openvsp to 2.2.2

Minor release with some bug fixes and compiler warning fixes.

Fix: Apply the attached patch.

Tested in redports:

https://redports.org/~fernape/20130219171800-21674-105017/openvsp-2.2.2.log
https://redports.org/~fernape/20130219171800-21674-105018/openvsp-2.2.2.log

Patch attached with submission follows:
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-02-20 17:30:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter service freebsd_committer 2013-02-20 18:07:56 UTC
Author: rm
Date: Wed Feb 20 18:07:19 2013
New Revision: 312644
URL: http://svnweb.freebsd.org/changeset/ports/312644

Log:
  - update to 2.2.2
  - convert to optionsng (EXAMPLES case), while here
  
  PR:		176274
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> (maintainer)

Modified:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo

Modified: head/cad/openvsp/Makefile
==============================================================================
--- head/cad/openvsp/Makefile	Wed Feb 20 18:06:58 2013	(r312643)
+++ head/cad/openvsp/Makefile	Wed Feb 20 18:07:19 2013	(r312644)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	openvsp
-PORTVERSION=	2.2.1
+PORTVERSION=	2.2.2
 CATEGORIES=	cad
 MASTER_SITES=	https://github.com/OpenVSP/OpenVSP/archive/
 
@@ -37,6 +37,8 @@ PLIST_FILES=	bin/vsp
 
 CFLAGS+=	-I${LOCALBASE}/include/openNURBS
 
+.include <bsd.port.options.mk>
+
 do-fetch:
 	if [ ! -f ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} ]; then \
 		${FETCH_BINARY} -o ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} \
@@ -45,7 +47,7 @@ do-fetch:
 
 do-install:
 	@${INSTALL_PROGRAM} ${WRKSRC}/vsp/vsp ${PREFIX}/bin
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@${INSTALL_PORTEXAMPLES}
 .endif

Modified: head/cad/openvsp/distinfo
==============================================================================
--- head/cad/openvsp/distinfo	Wed Feb 20 18:06:58 2013	(r312643)
+++ head/cad/openvsp/distinfo	Wed Feb 20 18:07:19 2013	(r312644)
@@ -1,2 +1,2 @@
-SHA256 (openvsp-2.2.1.tar.gz) = 563626dc839052b8b4bfb75d1e10c4966a79d4e8bb7d1ca51a2302c2793623f4
-SIZE (openvsp-2.2.1.tar.gz) = 2916214
+SHA256 (openvsp-2.2.2.tar.gz) = 93dd8978b568eb5726a9392308029b7b9967ae1af8c4033e8e8cba05f5a46e9b
+SIZE (openvsp-2.2.2.tar.gz) = 2921036
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-02-20 18:09:05 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 4 dfilter service freebsd_committer 2013-08-23 21:54:53 UTC
Author: rene
Date: Fri Aug 23 20:54:44 2013
New Revision: 325280
URL: http://svnweb.freebsd.org/changeset/ports/325280

Log:
  Use the USERS/GROUPS mechanism for the boinc-client port instead of
  manually creating them.
  
  It is still possible to overrride the defaults by setting
  BOINC_CLIENT_USER , BOINC_CLIENT_GROUP , and BOINC_CLIENT_HOME but that
  means the entries in UIDs and GIDs have to be changed too.
  
  PR:		ports/176274 (part, based on)
  Submitted by:	Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>
  Reviewed by:	crees (slightly)

Modified:
  head/GIDs
  head/UIDs
  head/net/boinc-client/Makefile
  head/net/boinc-client/files/pkg-install.in   (contents, props changed)
  head/net/boinc-client/pkg-plist   (contents, props changed)

Modified: head/GIDs
==============================================================================
--- head/GIDs	Fri Aug 23 19:49:11 2013	(r325279)
+++ head/GIDs	Fri Aug 23 20:54:44 2013	(r325280)
@@ -259,5 +259,6 @@ kippo:*:969:
 colord:*:970:
 shibd:*:971:
 plex:*:972:
+boinc:*:973:
 nogroup:*:65533:
 nobody:*:65534:

Modified: head/UIDs
==============================================================================
--- head/UIDs	Fri Aug 23 19:49:11 2013	(r325279)
+++ head/UIDs	Fri Aug 23 20:54:44 2013	(r325280)
@@ -266,4 +266,5 @@ kippo:*:969:969::0:0:kippo user:/nonexis
 colord:*:970:970::0:0:colord color management daemon:/nonexistent:/usr/sbin/nologin
 shibd:*:971:971::0:0:Shibboleth SAML daemon:/nonexistent:/usr/sbin/nologin
 plex:*:972:972::0:0:Plex Media Server:/nonexistent:/usr/sbin/nologin
+boinc:*:973:973::0:0:BOINC user:/var/db/boinc:/usr/sbin/nologin
 nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin

Modified: head/net/boinc-client/Makefile
==============================================================================
--- head/net/boinc-client/Makefile	Fri Aug 23 19:49:11 2013	(r325279)
+++ head/net/boinc-client/Makefile	Fri Aug 23 20:54:44 2013	(r325280)
@@ -17,8 +17,11 @@ USE_LDCONFIG=	yes
 USE_DOS2UNIX=	yes
 DOS2UNIX_REGEX=	.*\.(cpp|h)
 
+USERS=		boinc
+GROUPS=		boinc
+
 BOINC_CLIENT_USER?=	boinc
-BOINC_CLIENT_GROUP?=	nobody
+BOINC_CLIENT_GROUP?=	boinc
 BOINC_CLIENT_HOME?=	/var/db/boinc
 
 PLIST_SUB=	BOINC_CLIENT_HOME="${BOINC_CLIENT_HOME}" \

Modified: head/net/boinc-client/files/pkg-install.in
==============================================================================
--- head/net/boinc-client/files/pkg-install.in	Fri Aug 23 19:49:11 2013	(r325279)
+++ head/net/boinc-client/files/pkg-install.in	Fri Aug 23 20:54:44 2013	(r325280)
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $FreeBSD:$
+# $FreeBSD$
 #
 
 PATH=/bin:/usr/sbin:/usr/bin:/usr/sbin
@@ -8,23 +8,9 @@ PATH=/bin:/usr/sbin:/usr/bin:/usr/sbin
 user=%%BOINC_CLIENT_USER%%
 group=%%BOINC_CLIENT_GROUP%%
 home="%%BOINC_CLIENT_HOME%%"
-shell=/bin/sh
 
 case $2 in
-PRE-INSTALL)
-	if ! pw usershow ${user} 2>/dev/null 1>&2; then
-		if ! pw useradd ${user} -g ${group} -c "BOINC client user" \
-		    -d "${home}" -s ${shell}; then
-			echo "Failed to create user \"${user}\"." >&2
-			exit 1
-		else
-			echo "User \"${user}\" created successfully:"
-		fi
-	else
-		echo "Using existent user \"${user}\":"
-	fi
-	pw usershow ${user}
-	mkdir -m u=rwx,go= -p "${home}"
+POST-INSTALL)
 	if [ ! -e "${home}/skins" -a ! -L "${home}/skins" ]; then
 		ln -s "%%PREFIX%%/share/boinc/skins" "${home}/skins"
 	fi

Modified: head/net/boinc-client/pkg-plist
==============================================================================
--- head/net/boinc-client/pkg-plist	Fri Aug 23 19:49:11 2013	(r325279)
+++ head/net/boinc-client/pkg-plist	Fri Aug 23 20:54:44 2013	(r325280)
@@ -448,6 +448,3 @@ lib/libboinc_zip.so.7
 %%X11%%@dirrm share/boinc
 %%NLS%%@dirrmtry share/locale/sv_SE/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/sv_SE
-%%USER%%@unexec if [ -d "%%BOINC_CLIENT_HOME%%" ]; then echo "If you are deinstalling boinc-client completely, remove the \"%%BOINC_CLIENT_HOME%%\" directory."; fi
-%%USER%%@unexec if [ -d "%%BOINC_CLIENT_HOME%%" ]; then echo -n "Also, d"; else echo -n "D"; fi
-%%USER%%@unexec echo "on't forget to remove the BOINC client user \"%%BOINC_CLIENT_USER%%\"."
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"